/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */
#pragma once

#include "CoreMinimal.h"
#include "Templates/SubclassOf.h"
#include "Graph/InworldNode.h"


struct INWORLDRUNTIMEEDITOR_API FNodeDescriptionParser
{
public:
	FNodeDescriptionParser(UInworldNode* InNode);
	FNodeDescriptionParser(TSubclassOf<UInworldNode> InNodeClass);
	~FNodeDescriptionParser() = default;

	FString GetMainDescription() const;

private:
	UPROPERTY(Transient)
	TObjectPtr<UInworldNode> Node;
	TSubclassOf<UInworldNode> NodeClass;
};
